* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    padding: 0px;
    margin: 0px;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    /* font-family: "Open Sans", sans-serif; */
    color: #272829;
    font-size: 17px;
    letter-spacing: 0.2px;
}

.d-flex {
    display: flex;
}
.d-none{
    display: none;
}
.align-item-center {
    align-items: center;
}

.m-0 {
    margin: 0;
}

.p-0 {
    padding: 0;
}

.container {
    display: flex;

}

.Aside {
    background-color: rgba(4, 11, 20, 255);
    width: 23.2%;
    overflow-y: scroll;
    height: 100vh;
    position: fixed;

}

.menu-icon{
    display: none;
}
.Aside::-webkit-scrollbar {
    display: none;
}

.topAside {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.topAside img {
    border-radius: 50% !important;
    border: 8px solid #2c2f3f;
    margin-top: 35px
}

.topAside h2 {
    color: white;
}



.icon i {
    padding: 10px;
    background-color: rgba(44, 47, 63, 255);
    border-radius: 50%;
    margin-right: 5px;
}

.fa-facebook-f {
    width: 35px;
}

.icon i:hover {
    background-color: rgba(20, 157, 221, 255);
}

.nav ul {
    margin-top: 35px
}

.nav ul li {
    margin-top: 41px;
    list-style: none;
}

.nav ul li a {
    list-style: none;
    text-decoration: none;
    color: rgba(153, 165, 169, 255);
    font-size: 17px;
}

.nav ul li a i {
    margin-right: 8px;
}

.nav ul li:hover a {
    color: #fff;
}

.nav ul li:hover i {
    color: rgba(20, 157, 221, 255);
}

.bi {
    font-size: 18px;
}

.main {
    width: 77%;
    margin-left: 23.2%;
    overflow-x: hidden;
}

.background-img {
    width: 100%;
    height: 100vh;
    background-image: url('./image/background-image.JPG');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    /* Adjust the percentage to control the zoom level */
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* opacity: 0.88; */
}

.background-img h1 {
    margin: 0px;
    color: white;
    font-size: 50px;
}

.typing {
    color: white;
    font-size: 26px;
    border-bottom: 3px solid #149ddd;
}

.Screen-text {
    margin-left: 105px;
}

.Screen-text p {
    width: 50%;
    color: #fff;
}

.hello {
    color: #fff;
}

.hello span {
    font-family: 'clicker script', cursive;
    font-weight: 700;
    color: rgba(20, 157, 221, 255);
    font-size: 33px;
}

.about-details-1 i {
    font-size: 18px;
    color: rgba(20, 157, 221, 255);
}

.about-section {
    padding-left: 30px;
    padding-right: 30px;
    margin-top: 50px;
}

.about-text h1 {
    height: 60px;
    width: 51px;
    position: relative;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.about-text p {
    font-size: 17px;
}

.about-right {
    display: flex;
    justify-content: center;

}

.about-img,
.about-content {
    transition-duration: 1s !important;

}

.about-img img {
    max-width: 100%;
    height: auto;
    padding-top: 27px
}

.about-content {
    margin-left: 30px;
}

.about-content h2 {
    color: #173b6c;
}

.about-details-1 {
    display: flex;
    justify-content: space-between;
    width: 100%;

}

.about-details-1 ul {
    padding: 0px;
}

.about-details-1 ul li {
    display: flex;
    list-style: none;
}

.about-details-1 ul li h4 {
    font-size: 17px;
    margin: 7px;
}

.about-details-1 ul li h4 span {
    font-weight: normal;
    margin-left: 5px;
}

.about-content p {
    margin: 0px;
}

/* body[data-aos-duration="400"] [data-aos] {
    transition-duration: 1s !important;
} */
.fact-section {
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 110px;
}

.fact-text h1 {
    height: 60px;
    width: 51px;
    position: relative;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.counter-section {

    display: flex;
    width: 100%;
    justify-content: space-between;
    overflow: hidden;
}

.counter-box {
    padding: 30px;
}

.counter-box:nth-child(1) {
    transition-duration: 1s !important;
}

.counter-box:nth-child(2) {
    transition-duration: 2s !important;
}

.counter-box:nth-child(3) {
    transition-duration: all 3s !important;
}

.counter-box:nth-child(4) {
    transition-duration: all 4s !important;
}

.counter-box h1 {
    font-size: 50px;
    margin: 10px;
}

.counter-box i {
    font-size: 45px;
    color: rgba(20, 157, 221, 255);
    padding-right: 7px;
}


.counter-text {
    margin-left: 53px;
    font-size: 14px;
    color: #122f57;
    font-family: "Raleway", sans-serif;
}

.counter-box strong {
    margin: 7px;
    color: #122f57;
    font-style: 14px;
}

.counter-text p {
    margin: 8px;
    color: rgb(115, 132, 155);
    font-style: 14px;
}

/* ============ skills section============== */
.skills-section {
    padding-top: 45px;
    padding-bottom: 95px;
    background-color: #f5f8fd;
    padding-left: 30px;
    padding-right: 30px;
}

.skills-text h1 {
    height: 60px;
    width: 51px;
    position: relative;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.skills-main {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.leftside-skills {
    width: 45%;
}

.rightside-skills {
    width: 45%;
}

.skills {
    width: 100;
    justify-content: space-between;
}

.skills p {
    margin: 13px;
    margin-left: 0px;
    font-size: 13px;
    font-weight: bold;
}

.skills-icon {
    display: flex;

    align-items: center;
}

.skills-icon i {
    padding-right: 20px;
}

.skill-box {
    height: 10px;
    width: 100%;
    background-color: #dce8f8;
    border-radius: 1px;
}

.html-box {
    height: 10px;
    width: 0%;
    background-color: #149ddd;
    border-radius: 2px;
}

.css-box {
    height: 10px;
    width: 0%;
    background-color: #149ddd;
    border-radius: 2px;
}

.javascript-box {
    height: 10px;
    width: 0%;
    background-color: #149ddd;
    border-radius: 2px;
}

.java-box {
    height: 10px;
    width: 0%;
    background-color: #149ddd;
    border-radius: 2px;
}

.python-box {
    height: 10px;
    width: 0%;
    background-color: #149ddd;
    border-radius: 2px;
}

.react-box {
    height: 10px;
    width: 0%;
    background-color: #149ddd;
    border-radius: 2px;
}

.skills-section:hover .html-box {
    width: 100%;
    transition-duration: 1s;
}

.skills-section:hover .css-box {
    width: 70%;
    transition-duration: 1s;
}

.skills-section:hover .javascript-box {
    width: 60%;
    transition-duration: 1s;
}

.skills-section:hover .java-box {
    width: 95%;
    transition-duration: 1s;
}

.skills-section:hover .python-box {
    width: 75%;
    transition-duration: 2s;
}

.skills-section:hover .react-box {
    width: 50%;
    transition-duration: 2s;
}

.skills-icon i {
    font-size: 25px;
    color: #149ddd;

}

/* ==============resume-section start================= */
.resume-section {
    padding-top: 30px;
    padding-left: 30px;
    padding-right: 30px;

}

.resume-section h1 {
    height: 60px;
    width: 51px;
    position: relative;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.education-experience {
    justify-content: space-between;
    width: 100%;
    overflow: hidden;
    padding-bottom: 30px;
}

.education-part {
    width: 48%;

}

.experience-part {
    width: 48%;
}

.resume-box {
    padding: 15px;
    background-color: #f5f8fd;
    margin-top: 10px;
    border-radius: 5px;
    box-shadow: 0px 0px 0px white;
    scale: 1;
    transition: all 0.4s ease-in-out !important;
}

.resume-box:hover {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 50px;
    scale: 1.02;
    transition: all 0.4s ease-in-out !important;
}

.education-experience h2 {
    font-size: 20px;
    color: #173b6c;
}

.education-experience h3 {
    margin: 0px;
    height: 60px;
    width: 51px;
    /* border-bottom: 1.5px solid #149ddd; */
    color: #173b6c;
    font-size: 19px;
}

.education-experience p {
    margin: 0px;
}

.education-experience span {
    margin: 0px;
    color: #149ddd;
}

/* ===================resume-section-end=================== */
/* ===================portfolio-section-start=================== */
.portfolio-section {
    background-color: #f5f8fd;
    padding-top: 40px;
    overflow: hidden;
    padding-bottom: 50px;
    position: relative;
}

.portfolio-text {
    padding-left: 30px;
    padding-right: 30px;
}

.portfolio-text h1 {
    height: 60px;
    width: 51px;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.portfolio-nav {
    display: flex;
    justify-content: center;
    align-items: center;
}

.portfolio-nav ul {
    display: flex;
    width: 30%;
    justify-content: space-between;
    padding: 11px 30px 11px 30px;

    background-color: #ffffff;
    border-radius: 50px;
}

.portfolio-nav ul li {
    list-style: none;
    cursor: pointer;
    font-size: 15px;
    font-weight: 600;
    /* padding:10px 20px 10px 20px ; */
}

.portfolio-nav ul li:hover {
    color: #149ddd;
}

.portfolio-wrap {
    display: flex;
    width: 100%;
    justify-content: center;
    flex-wrap: wrap;
}

.image-item {
    height: 205px;
    width: 285px;
    margin: 15px 10px 15px 10px;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    position: relative;
}

.image-item:hover .image-link {
    margin-top: -50px;
    transition: all 0.3s ease-in-out;
}

.image-item:hover img {
    opacity: 0.3;
}

.image-item:hover .image-link i {
    padding-top: 14px;
}

.image-link i:hover {
    background-color: #2485b1;
}

.image-item img {
    height: 100%;
    width: 100%;
}

.image-link {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    cursor: pointer;
    position: absolute;
}

.image-link i {
    display: flex;
    justify-content: center;
    background-color: rgba(20, 157, 221, 0.75);
    height: 100%;
    width: 100%;
    font-size: 22px;
    color: #fff;
}

/* < !--======================portfolio-section-end=========================-->
< !--======================service-section start=========================--> */
.service-section {
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 30px;
    padding-bottom: 50px;
}

.service-text h1 {
    height: 60px;
    width: 51px;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.service-box-container {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-between;
}

.service-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 31%;
    background-color: #f5f8fd;
    margin-bottom: 25px;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0px 0px 0px white;
    scale: 1;
    transition: all 0.4s ease-in-out !important;
}

#service-section-mobile-icon {
    padding: 15px 18px 15px 18px;
}

.service-box:hover {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px;
    scale: 1.02;
    transition: all 0.4s ease-in-out !important;
    /* background-color:transparent;
    border: 1px solid ; */
}

.service-box h1 {
    margin: 0px;
}

.service-box p {
    margin: 0px;
    text-align: center;
}

.service-box i {
    padding: 15px;
    border-radius: 50%;
    background-color: #149ddd;
    color: #ffffff;
    border: 1.5px solid #149ddd;
    ;

}

.service-box i:hover {
    border: 1.5px solid #149ddd;
    ;
    background-color: transparent;
    color: #149ddd;
}



/* ==================== Testimonials-section-start =============== */
.testimonials-section {
    background-color: #f5f8fd;
    padding-left: 30px;
    padding-right: 30px;
    padding-bottom: 50px;
    padding-top: 30px;
}

.testimonials-title h1 {
    height: 60px;
    width: 51px;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.testimonials-wrraper {
    flex-direction: row;
    justify-content: space-between;
    padding-top: 10px;
    width: 100%;
    padding-right: 0px !important;
}

.testimonials-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: #ffffff;
    margin: 15px;
    margin-right: 0px !important;
    margin-left: 0px !important;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0px 0px 0px white;
    scale: 1;
    transition: all 0.4s ease-in-out !important;
    border-radius: 10px;
}

.testimonials-box:hover {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px;
}

.testimonials-box img {
    height: 75px !important;
    width: 75px !important;
    border-radius: 50%;
}

.testimonials-box p {
    font-size: 13px;
    text-align: center;
}

.testimonials-box span {
    margin: 0;
}

.testimonials-box h3 {
    margin: 0;
    color: #149ddd;
}





/* ======================== contact-section-start ============================= */
.contact-section {
    /* width: 100%; */
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 30px;
    padding-bottom: 30px;
}

.contact-details {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.contact-title h1 {
    height: 60px;
    width: 51px;
    border-bottom: 3px solid #149ddd;
    color: #173b6c;
    font-size: 32px;
}

.contact-info {
    box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.12);
    background-color: #ffffff;
    width: 40%;
    padding: 20px 0px 0px 30px;
    padding-bottom: 35px
}

.contact-info p {
    margin: 7px;
    font-size: 16px;
}

.contact-info h3 {
    margin: 7px;
    font-size: 24px;
    font-weight: 600;
}

.location {
    display: flex;
    padding-top: 10px;
}

.location:hover .location-icon i {
    color: white;
    background-color: #149ddd;
    transition: 0.5s;
}

.location-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

.location-title {
    margin-left: 12px;
}

.location-icon i {
    padding: 10px 13px 10px 13px;
    background-color: #dff3fc;
    border-radius: 50%;
    color: #149ddd;
}

.email {
    display: flex;
    width: 30%;
    padding-top: 10px;
}

.email:hover .email-icon i {
    color: white;
    background-color: #149ddd;
    transition: 0.5s;
}

.email-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

.email-title {
    margin-left: 12px;
}

.email-icon i {
    padding: 10px 13px 10px 13px;
    background-color: #dff3fc;
    border-radius: 50%;
    color: #149ddd;
}

.call {
    display: flex;
    width: 30%;
    padding-top: 10px;
}

.call:hover .call-icon i {
    color: white;
    background-color: #149ddd;
    transition: 0.5s;
}

.call-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

.call-icon i {
    padding: 10px 13px 10px 13px;
    background-color: #dff3fc;
    border-radius: 50%;
    color: #149ddd;
}

.call-title {
    margin-left: 12px;
}

.google-map {
    padding-top: 20px;
}

.contact-form {
    width: 57%;
    background-color: #fff;
    box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.12);
    background-color: #ffffff;
    padding: 30px 30px 20px 30px;
}

.contact-form label {
    padding-bottom: 10px;
}

.contact-first-row {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.contact-name {
    display: flex;
    flex-direction: column;
    width: 47%;
}

input {
    padding-left: 10px;
    font-size: 16px;
    font-weight: 300;
    color: #149ddd;
}

input:focus {
    outline: none;
}

.contact-name input {
    height: 44px;
    width: 215px;
    border: 1px solid #149ddd;
}

.contact-email {
    width: 47%;
    display: flex;
    flex-direction: column;
}

.contact-email input {
    height: 44px;
    width: 215px;
    border: 1px solid #149ddd;
}

.contact-subject {
    display: flex;
    flex-direction: column;
    padding-top: 20px;
}

.contact-subject input {
    height: 44px;
    border: 1px solid #149ddd;
}

.contact-message {
    display: flex;
    flex-direction: column;
    padding-top: 20px;
}

.contact-message textarea {
    border: 1px solid #149ddd;
    height: 250px;
    font-size: 16px;
    font-weight: 300;
    color: #149ddd;
    padding: 10px;
}

.contact-message textarea:focus {
    outline: none;
}

.send-message {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.send-message button {
    color: #ffffff;
    background-color: #149ddd;
    width: 150px;
    height: 40px;
    border: none;
    border-radius: 5px;
}
.full-Img{
    display: none;
}

.image-slider{
    position: absolute;
    z-index: 3;
    top: 0px;
    left: 15%;
    height: 100vh;
    width: 50%;
}

.image-slider img{
    width: 100%;
    height: 100%;
    scale: 0;
    transition: all 0.4s ease-in-out;
}
